> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar mensaje al chat

> Este endpoint permite enviar mensajes a una sala de chat en Jelou.



## OpenAPI

````yaml /api/openapi.json post /v1/rooms/{roomId}/message
openapi: 3.1.0
info:
  title: Jelou API
  description: >-
    API for the Jelou platform. Send messages, manage campaigns, handle
    conversations, users, databases, and widgets.
  version: 1.0.0
servers:
  - url: https://api.jelou.ai
    description: Production server
security:
  - basicAuth: []
tags:
  - name: Messages
    description: Send messages to users
  - name: Campaigns
    description: HSM campaigns and templates
  - name: Conversations
    description: Chat history and metrics
  - name: Users
    description: User state and cache management
  - name: Resources
    description: Media resource management
  - name: Datum
    description: Database CRUD operations
  - name: Widget
    description: Widget and room management
  - name: PMA Custom
    description: External support panel integration
paths:
  /v1/rooms/{roomId}/message:
    post:
      tags:
        - Widget
      summary: Enviar mensaje al chat
      description: Este endpoint permite enviar mensajes a una sala de chat en Jelou.
      operationId: Enviar mensaje chat
      parameters:
        - name: roomId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RoomMessageRequest'
      responses:
        '200':
          description: Message sent
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    RoomMessageRequest:
      type: object
      required:
        - senderId
        - messages
      properties:
        senderId:
          type: string
        messages:
          type: array
          items:
            type: object
            required:
              - id
              - type
            properties:
              id:
                type: string
                format: uuid
              type:
                type: string
                enum:
                  - TEXT
                  - IMAGE
                  - VIDEO
                  - DOCUMENT
              text:
                type: string
              mediaUrl:
                type: string
                format: uri
    Error:
      type: object
      properties:
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        statusMessage:
          type: string
        status:
          type: integer
        error:
          type: object
          properties:
            code:
              type: string
            key:
              type: string
            description:
              type: string
            developerMessages:
              type: object
            clientMessages:
              type: object
        validationError:
          type: object
  responses:
    Unauthorized:
      description: Unauthorized - Invalid authentication credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic authentication using Base64 encoded clientId:clientSecret

````